/** 
 *  _   _        _  _                           _             
 * | |_| |  ___ | || |  ___   __ _  _ __  _ __ (_)  ___  _ __ 
 * |  _  | / _ \| || | / __| / _` || '__|| '__|| | / _ \| '__|
 * | | | ||  __/| || || (__ | (_| || |   | |   | ||  __/| |   
 * |_| |_| \___||_||_| \___| \__,_||_|   |_|   |_| \___||_|   
 * 
 *  (c) 2001 Free Lunch Design, Teknisk-IT, AerotechTelub
 *			  http://www.freelunchdesign.com
 * 
 * This source code is released as is under GPL (General Public
 * License). Please refer to license.txt for more information.
 * 
 */
 
#ifndef _PROJECTILE_H_
#define _PROJECTILE_H_

#include "allegro.h"
#include "main.h"
#include "object.h"
#include "mission.h"
#include "unit.h"

#define P_BULLET		1
#define P_BAZOOKA		2
#define P_N_MISSILE		3
#define P_HS_MISSILE	4
#define P_PH_MISSILE	5

class projectile : public object {
public:
	int		damage;
	double	max_speed;
	double	start_speed;
	double	speed;
	double	acc_speed;
	int		life;		// life in fps (1 sec = 50 f)
	int		p_type;
	char	team;
	int		color;
	int		bonus;
	int		target;
	int		bull_image;


	projectile(class unit *v, int pt);
	~projectile();

	void move(mission *m);
	void get_target(mission *m);
	void evaluate_AI() {};
	bool add_object(object *o) { return FALSE; };
	void empty(class mission *m) {};
	void save(PACKFILE *fp) {};
	void load(PACKFILE *fp) {};
	void draw(BITMAP *bmp, DATAFILE *gfx, fixed ca, bool shadow);

	void set_from_file(char* fname) {};

};



#endif